%global commit  d3f76b2dc33f43984b1993083d42fa694b735664
%global date    20150130

Name:           xfce-bluetooth
Version:        0
Release:        0.1.%{date}git%{?dist}
Summary:        A simple bluetooth manager for Xfce

License:        GPLv2+
URL:            https://github.com/ncopa/%{name}
Source0:        %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  gtk2-devel libxfce4ui-devel
BuildRequires:  xfce4-vala

# define macros AM_INIT_AUTOMAKE and AM_PROG_VALAC
BuildRequires:  automake

# functional runtime requirements
Requires:       bluez dbus

%description
%{summary}.


%prep
%setup -qn%{name}-%{commit}
sed -i 's,ListStore,Gtk.\0,' src/xfce-bluetooth.vala
# generate usable configure
aclocal --force --verbose
automake --add-missing -f -v
autoconf -f -v


%build
%configure
make %{?_smp_mflags} --debug


%install
%make_install


%files
%license LICENSE
# skip COPYING as a symlink and NEWS as empty
%doc AUTHORS README README.md
%{_libexecdir}/%{name}*


%changelog
* Mon May 25 2015 Raphael Groner <projects.rg@smart.ms> - 0-0.1.20150130git
- initial
